Subject: Re: [PATCH net-next 1/8] net: Kill hold_net release_net

From: [email-masked] (Eric W. Biederman)
Date: Wed, 11 Mar 2015 12:34:40 -0500

Eric Dumazet <[email-masked]> writes:

> On Wed, 2015-03-11 at 11:35 -0500, Eric W. Biederman wrote:
>> hold_net and release_net were an idea that didn't work.  Kill them
>> it is long past due.
>
> Care to describe a bit more what is not working ?

Long ago and far away when I was first starting the network namespace
implementation hold_net and release_net were based on a misunderstanding
of what dev_hold and dev_release do.  I thought they were just for
debugging.  I cloned the concept and then later realized it added no
benefit to network namespaces.  The code has been disabled for more years
than I care to remember, and it is just dead weight now.

So it makes sense to remove the definitions now.

Eric